ngb-rating {
  font-size: 2rem;
  color: yellow;
  background: inherit;
}

ngb-rating {
  font-size: 2rem;
  color: yellow;
  background: inherit;
}

.card-body {
  display: flex;
  flex-direction: column;
  min-width: 70%;
}

.card-horizontal {
  display: flex;
  flex: 1 2 auto;
}

.img-square-wrapper {
  height: 200px;
}

.img-thumbnail {
  height: 180px;
}

body {
  margin-top: 20px;
  background: #eee;
}

.comment-card {
  position: relative;
  max-width: 380px;
  padding-top: 12px;
  padding-bottom: 43px;
  transition: all 0.35s;
  border: 1px solid #e7e7e7;
}

.comment-card .product-head {
  padding: 0 15px 8px;
}

.comment-card .product-head .badge {
  margin: 0;
}

.comment-card .product-thumb {
  display: block;
}

.comment-card .product-thumb > img {
  display: block;
  width: 100%;
}

.comment-card .comment-card-body {
  padding: 0 20px;
  text-align: center;
}

.comment-card .product-meta {
  display: block;
  padding: 12px 0 2px;
  transition: color 0.25s;
  color: rgba(140, 140, 140, 0.75);
  font-size: 12px;
  font-weight: 600;
  text-decoration: none;
}

.comment-card .product-meta:hover {
  color: #8c8c8c;
}

.comment-card .product-title {
  margin-bottom: 8px;
  font-size: 16px;
  font-weight: bold;
}

.comment-card .product-title > a {
  transition: color 0.3s;
  color: #343b43;
  text-decoration: none;
}

.comment-card .product-title > a:hover {
  color: #ac32e4;
}

.comment-card .product-price {
  display: block;
  color: #404040;
  font-family: 'Montserrat', sans-serif;
  font-weight: normal;
}

.comment-card .product-price > del {
  margin-right: 6px;
  color: rgba(140, 140, 140, 0.75);
}

.comment-card .product-buttons-wrap {
  position: absolute;
  bottom: -20px;
  left: 0;
  width: 100%;
}

.comment-card .product-buttons {
  display: table;
  margin: auto;
  background-color: #fff;
  box-shadow: 0 12px 20px 1px rgba(64, 64, 64, 0.11);
}

.comment-card .product-button {
  display: table-cell;
  position: relative;
  width: 50px;
  height: 40px;
  border-right: 1px solid rgba(231, 231, 231, 0.6);
}

.comment-card .product-button:last-child {
  border-right: 0;
}

.comment-card .product-button > a {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: all 0.3s;
  color: #404040;
  font-size: 16px;
  line-height: 40px;
  text-align: center;
  text-decoration: none;
}

.comment-card .product-button > a:hover {
  background-color: #ac32e4;
  color: #fff;
}

.comment-card:hover {
  border-color: transparent;
  box-shadow: 0 12px 20px 1px rgba(64, 64, 64, 0.09);
}

.product-category-card {
  display: block;
  max-width: 400px;
  text-align: center;
  text-decoration: none !important;
}

.product-category-card .product-category-card-thumb {
  display: table;
  width: 100%;
  box-shadow: 0 12px 20px 1px rgba(64, 64, 64, 0.09);
}

.product-category-card .product-category-card-body {
  padding: 20px;
  padding-bottom: 28px;
}

.product-category-card .main-img,
.product-category-card .thumblist {
  display: table-cell;
  padding: 15px;
  vertical-align: middle;
}

.product-category-card .main-img > img,
.product-category-card .thumblist > img {
  display: block;
  width: 100%;
}

.product-category-card .main-img {
  width: 65%;
  padding-right: 10px;
}

.product-category-card .thumblist {
  width: 35%;
  padding-left: 10px;
}

.product-category-card .thumblist > img:first-child {
  margin-bottom: 6px;
}

.product-category-card .product-category-card-meta {
  display: block;
  padding-bottom: 9px;
  color: rgba(140, 140, 140, 0.75);
  font-size: 11px;
  font-weight: 600;
}

.product-category-card .product-category-card-title {
  margin-bottom: 0;
  transition: color 0.3s;
  color: #343b43;
  font-size: 18px;
}

.product-category-card:hover .product-category-card-title {
  color: #ac32e4;
}

.product-gallery {
  position: relative;
  padding: 45px 15px 0;
  box-shadow: 0 12px 20px 1px rgba(64, 64, 64, 0.09);
}

.product-gallery .gallery-item::before {
  display: none !important;
}

.product-gallery .gallery-item::after {
  box-shadow: 0 8px 24px 0 rgba(0, 0, 0, 0.26);
}

.product-gallery .video-player-button,
.product-gallery .badge {
  position: absolute;
  z-index: 5;
}

.product-gallery .badge {
  top: 15px;
  left: 15px;
  margin-left: 0;
}

.product-gallery .video-player-button {
  top: 0;
  right: 15px;
  width: 60px;
  height: 60px;
  line-height: 60px;
}

.product-gallery .product-thumbnails {
  display: block;
  margin: 0 -15px;
  padding: 12px;
  border-top: 1px solid #e7e7e7;
  list-style: none;
  text-align: center;
}

.product-gallery .product-thumbnails > li {
  display: inline-block;
  margin: 10px 3px;
}

.product-gallery .product-thumbnails > li > a {
  display: block;
  width: 94px;
  transition: all 0.25s;
  border: 1px solid transparent;
  background-color: #fff;
  opacity: 0.75;
}

.product-gallery .product-thumbnails > li:hover > a {
  opacity: 1;
}

.product-gallery .product-thumbnails > li.active > a {
  border-color: #ac32e4;
  cursor: default;
  opacity: 1;
}

.product-meta {
  padding-bottom: 10px;
}

.product-meta > a,
.product-meta > i {
  display: inline-block;
  margin-right: 5px;
  color: rgba(140, 140, 140, 0.75);
  vertical-align: middle;
}

.product-meta > i {
  margin-top: 2px;
}

.product-meta > a {
  transition: color 0.25s;
  font-size: 13px;
  font-weight: 600;
  text-decoration: none;
}

.product-meta > a:hover {
  color: #8c8c8c;
}

.comment-item {
  position: relative;
  margin-bottom: 30px;
  padding: 0 50px 0 10px;
  background-color: #fff;
  box-shadow: 0px 0px 30px 4px rgba(64, 64, 64, 0.15);
}

.comment-item .comment-item-label {
  display: block;
  margin-bottom: 15px;
  color: #8c8c8c;
  font-size: 13px;
  font-weight: 600;
  text-transform: uppercase;
}

.comment-item .comment-item-product {
  display: table;
  width: 420px;
  text-decoration: none;
}

.comment-item .comment-item-product-thumb,
.comment-item .comment-item-product-info {
  display: table-cell;
  vertical-align: top;
}

.comment-item .comment-item-product-thumb {
  width: 110px;
}

.comment-item .comment-item-product-thumb > img {
  display: block;
  width: 100%;
}

.comment-item .comment-item-product-info {
  padding-top: 5px;
  padding-left: 15px;
}

.comment-item .comment-item-product-info > span {
  display: block;
  margin-bottom: 2px;
  color: #404040;
  font-size: 12px;
}

.comment-item .comment-item-product-title {
  margin-bottom: 8px;
  transition: color, 0.3s;
  color: #343b43;
  font-size: 16px;
  font-weight: bold;
}

.comment-item .comment-item-product:hover .comment-item-product-title {
}

.comment-item .count-input {
  display: inline-block;
  width: 85px;
}

.comment-item .remove-item {
  right: -10px !important;
}

@media (max-width: 991px) {
  .comment-item {
    padding-right: 30px;
  }
  .comment-item .comment-item-product {
    width: auto;
  }
}

@media (max-width: 768px) {
  .comment-item {
    padding-right: 10px;
    padding-bottom: 15px;
  }
  .comment-item .comment-item-product {
    display: block;
    width: 100%;
    text-align: center;
  }
  .comment-item .comment-item-product-thumb,
  .comment-item .comment-item-product-info {
    display: block;
  }
  .comment-item .comment-item-product-thumb {
    margin: 0 auto 10px;
  }
  .comment-item .comment-item-product-info {
    padding-left: 0;
  }
  .comment-item .comment-item-label {
    margin-bottom: 8px;
  }
}

.comparison-table {
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  -ms-overflow-style: -ms-autohiding-scrollbar;
}

.comparison-table table {
  min-width: 750px;
  table-layout: fixed;
}

.comparison-table .comparison-item {
  position: relative;
  margin-bottom: 10px;
  padding: 13px 12px 18px;
  background-color: #fff;
  text-align: center;
  box-shadow: 0 12px 20px 1px rgba(64, 64, 64, 0.09);
}

.comparison-table .comparison-item .comparison-item-thumb {
  display: block;
  width: 80px;
  margin-right: auto;
  margin-bottom: 12px;
  margin-left: auto;
}

.comparison-table .comparison-item .comparison-item-thumb > img {
  display: block;
  width: 100%;
}

.comparison-table .comparison-item .comparison-item-title {
  display: block;
  margin-bottom: 14px;
  transition: color 0.25s;
  color: #404040;
  font-size: 14px;
  font-weight: 600;
  text-decoration: none;
}

.comparison-table .comparison-item .comparison-item-title:hover {
  color: #ac32e4;
}

.remove-item {
  display: block;
  position: absolute;
  top: -5px;
  right: -5px;
  width: 22px;
  height: 22px;
  padding-left: 1px;
  border-radius: 50%;
  background-color: #ff5252;
  color: #fff;
  line-height: 23px;
  text-align: center;
  box-shadow: 0 3px 12px 0 rgba(255, 82, 82, 0.5);
  cursor: pointer;
}

.card-wrapper {
  margin: 30px -15px;
}

@media (max-width: 576px) {
  .card-wrapper .jp-card-container {
    width: 260px !important;
  }
  .card-wrapper .jp-card {
    min-width: 250px !important;
  }
}
